[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomEdit.EditingDone

Enforces the setting in the ReadOnly property when editing is finished in the control.

## Declaration

Source position: stdctrls.pp line 808

`protected procedure TCustomEdit.EditingDone; override;`

## Description

EditingDone is an overridden method in TCustomEdit. It ensures that the inherited method is NOT called when the value in ReadOnly is True. EditingDone is called from the KeyUpAfterInterface method when the VK_RETURN key code is handled.

## See also

TControl.EditingDone |  | Signals the OnEditingDone event handler.